
QGIS Application - Bug report #1023

0 is forced instead of null in Shapefile

2008-04-01 04:03 PM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11083

Description

r8308:

1. Create a new shapefile with 1 integer, 1 real and 1 string field.

2. Digitize a single feature, don't fill the table.

Each fiels has value "0" forced, although you have not entered it. Editing table also does not let you have the cell empty; it force "0" as

well.

I don't think it is a limitation of DBF - using DBF driver in GRASS I can have empty cells in the table, for any datatype.

Associated revisions

Revision a3e7727c - 2008-04-02 02:10 AM - Jürgen Fischer

support unset fields in OGR provider (like NULL in postgres provider; fixes #1023)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8309 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision f790afca - 2008-04-02 02:10 AM - Jürgen Fischer

support unset fields in OGR provider (like NULL in postgres provider; fixes #1023)

git-svn-id: http://svn.osgeo.org/qgis/trunk@8309 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-04-01 04:09 PM - Maciej Sieczka -

Maybe the bug is related to #987, #988, #962.

#2 - 2008-04-01 05:10 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

support for unset fields added in commit:f790afca (SVN r8310)
#3 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
